Subject: Re: bug#32376: 26.1; Emacs 26.1 + server-use-tcp=t Crashing on MACOS

From: Valerio Cappabianco Falcao Segundo <[email-masked]>
Date: Mon, 6 Aug 2018 19:28:18 +0000

I commented the ‘server-use-tcp and started emacs; it didn’t crash.
Then I reconfigured the variables via M-x custom, and it’s not crashing anymore.
I have removed the “server” file and the directory itself. In either case, my 
Installation is not crashing anymore, and the dir and the file are recreated as needed.

Regards,
-- 
Valerio Falcão
Scopus Soluções em TI
Arquitetura de Sistemas
v <mailto:[email-masked]>[email-masked] <mailto:[email-masked]>
Tel    : +55 11   3909-4275
Fax   : +55 11   3904-8810
Cell   : +55 11  98496-0009
VOIP : 2468
www.scopus.com.br <http://www.scopus.com.br/>

Classificação: () CONFIDENCIAL	() INTERNA
Acesso autorizado exclusivamente para o (s) destinatário (s) contido (s) nesta mensagem. 

Antes de imprimir pense  em seu compromisso com o Meio Ambiente

On 06/08/18 16:19, "Noam Postavsky" <[email-masked]> wrote:

    Valerio Cappabianco Falcao Segundo <[email-masked]> writes:
    
    > Started emacs with
    > (setq
    > '(server-mode t)
    > '(server-name "emacs-quicksilver")
    > '(server-use-tcp t))
    > ...
    > (start-server)
    >
    >
    >
    >
    >
    > In GNU Emacs 26.1 (build 1, x86_64-apple-darwin14.5.0, NS appkit-1348.17 Version 10.10.5 (Build 14F2511))
    > of 2018-05-30 built on builder10-10.porkrind.org
    > Windowing system distributor 'Apple', version 10.3.1404
    
    This looks similar to Bug#31848 "[macOS] M-x server-start crashes if
    extraneous server file exists.  Does the existence of the "server" file in
    `server-auth-dir' affect whether Emacs crashes?
    
    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=31848